Skip to content

getConsolidatedPeriodSeries

READ

Multi-company, multi-period consolidation — the period-series sibling of getConsolidatedBalances: per-company series (including auto-resolved elimination entit….

POST /api/v1/accounting/getConsolidatedPeriodSeries
curl -X POST '<your-host>/api/v1/accounting/getConsolidatedPeriodSeries' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "companyIds": [],
    "targetCurrency": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "accountType": "Bank",
      "active": true,
      "class": "Expense",
      "companyGroupId": "string",
      "consolidatedRate": "Average",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "incomeBalance": "Balance Sheet",
      "isGroup": true,
      "isSystem": true,
      "name": "string",
      "number": "string",
      "parentId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string",
      "periods": {
        "…": {
          "netChange": 0,
          "balanceAtDate": 0,
          "translatedBalance": 0,
          "translatedNetChange": 0,
          "exchangeRate": 0
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "companyIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "targetCurrency": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "buckets": {
          "type": "array",
          "items": {}
        },
        "includeCurrentYearEarnings": {
          "type": "boolean"
        }
      },
      "required": [
        "buckets"
      ]
    }
  },
  "required": [
    "companyIds",
    "targetCurrency",
    "args"
  ]
}